import request from '@/utils/request'

// 查询直播抽奖记录列表
export function listLiveLotteryRecord(query) {
  return request({
    url: '/live/liveLotteryRecord/list',
    method: 'get',
    params: query
  })
}

// 查询直播抽奖记录详细
export function getLiveLotteryRecord(lotteryId) {
  return request({
    url: '/live/liveLotteryRecord/' + lotteryId,
    method: 'get'
  })
}

// 新增直播抽奖记录
export function addLiveLotteryRecord(data) {
  return request({
    url: '/live/liveLotteryRecord',
    method: 'post',
    data: data
  })
}

// 修改直播抽奖记录
export function updateLiveLotteryRecord(data) {
  return request({
    url: '/live/liveLotteryRecord',
    method: 'put',
    data: data
  })
}

// 删除直播抽奖记录
export function delLiveLotteryRecord(lotteryId) {
  return request({
    url: '/live/liveLotteryRecord/' + lotteryId,
    method: 'delete'
  })
}

// 导出直播抽奖记录
export function exportLiveLotteryRecord(query) {
  return request({
    url: '/live/liveLotteryRecord/export',
    method: 'get',
    params: query
  })
}
